View Issue Details

IDProjectCategoryView StatusLast Update
13973Bug reports[All Projects] Assessmentspublic2018-08-28 12:01
ReportercdorinAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.14.x 
Summary13973: Non-anonymous survey - {FIRSTNAME} in assessments
Description

{FIRSTNAME}/{LASTNAME} or any other data from the survey participants/tokens table is not displayed on the final assessments page. Please note that the survey is not anonymous.

Steps To Reproduce

See the attached survey. Execute survey from the survey participants table.

Additional Information

Haven't tried this feature in a while... could be possible that it hasn't worked at all since the launch of LimeSurvey 3. It was functional in the latest 2.7x release if I am not mistaken.

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)irrelevant
Webserver software & version (if known)irrelevant
PHP Versionirrelevant

Activities

cdorin

cdorin

2018-08-16 14:59

manager  

Survey_assessments_quick_example.lss (17,907 bytes)
guest

guest

2018-08-17 11:19

viewer   ~48812

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27826

guest

guest

2018-08-17 12:00

viewer   ~48814

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27827

guest

guest

2018-08-17 12:05

viewer   ~48815

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27829

dominikvitt

dominikvitt

2018-08-17 13:17

developer   ~48816

Here is a link to updated manual.
https://manual.limesurvey.org/Assessments#Assessment_placeholders

DenisChenu

DenisChenu

2018-08-17 13:30

developer   ~48818

I realy think FIRSTNAME etc … must not be used in any SURVEY part … only TOKEN:FIRSTNAME etc for survey part. Like in endpage etc …

It's the behaviour in 2.6lts and before …

LouisGac

LouisGac

2018-08-20 15:23

manager   ~48828

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27835

Related Changesets

LimeSurvey: master a6b553a7

2018-08-17 11:19:14

Dominik Vitt

Details Diff
Fixed issue 13973: Non-anonymous survey - {FIRSTNAME} in assessments Affected Issues
13973
mod - application/helpers/frontend_helper.php Diff File
mod - themes/survey/vanilla/views/subviews/messages/assessments.twig Diff File

LimeSurvey: master 5422bd40

2018-08-17 11:19:14

Dominik Vitt

Details Diff
Fixed issue 13973: Non-anonymous survey - {FIRSTNAME} in assessments Affected Issues
13973
mod - application/helpers/frontend_helper.php Diff File
mod - themes/survey/vanilla/views/subviews/messages/assessments.twig Diff File

LimeSurvey: master d1521fff

2018-08-17 12:05:38

Dominik Vitt

Details Diff
Fixed issue 13973: Non-anonymous survey - {FIRSTNAME} in assessments Affected Issues
13973
mod - themes/survey/vanilla/views/subviews/messages/assessments.twig Diff File

LimeSurvey: master 97913276

2018-08-20 15:23:44

LouisGac

Details Diff
Revert "Fixed issue 13973: Non-anonymous survey - {FIRSTNAME} in assessments"

This reverts commit a6b553a7b79e15d366804c9f213052e03f387b6c.
Affected Issues
13973
mod - application/helpers/frontend_helper.php Diff File
mod - themes/survey/vanilla/views/subviews/messages/assessments.twig Diff File

Issue History

Date Modified Username Field Change
2018-08-16 14:59 cdorin New Issue
2018-08-16 14:59 cdorin Status new => assigned
2018-08-16 14:59 cdorin Assigned To => dominikvitt
2018-08-16 14:59 cdorin File Added: Survey_assessments_quick_example.lss
2018-08-17 11:19 Changeset attached => LimeSurvey master a6b553a7
2018-08-17 11:19 guest Note Added: 48812
2018-08-17 11:19 guest Resolution open => fixed
2018-08-17 12:00 Changeset attached => LimeSurvey master 5422bd40
2018-08-17 12:00 guest Note Added: 48814
2018-08-17 12:05 Changeset attached => LimeSurvey master d1521fff
2018-08-17 12:05 guest Note Added: 48815
2018-08-17 13:17 dominikvitt Status assigned => resolved
2018-08-17 13:17 dominikvitt Fixed in Version => 3.14.x
2018-08-17 13:17 dominikvitt Note Added: 48816
2018-08-17 13:30 DenisChenu Note Added: 48818
2018-08-20 15:23 LouisGac Changeset attached => LimeSurvey master 97913276
2018-08-20 15:23 LouisGac Note Added: 48828
2018-08-28 12:01 LouisGac Status resolved => closed